package cx.ath.jbzdak.wyklad2.x05textComponents;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

/**
 * Created by: Jacek Bzdak
 */
public class TextComponents extends JFrame{

   public TextComponents() throws HeadlessException {

      setSize(640, 480);

      setLayout(new FlowLayout());
      
      setLayout(new GridLayout(3, 1));

      final JTextField field = new JTextField();
      
      final JLabel label = new JLabel();

      field.addKeyListener(new KeyAdapter() {
         @Override
         public void keyTyped(KeyEvent e) {
            /// Proszę zauważyć że getText nie zwraca ostatnieg wysłanego znaku
            setTitle(field.getText());
         }
      });


      field.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            label.setText(field.getText());
         }
      });
      
      add(field);
      add(label);
   }

   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            TextComponents frame = new TextComponents();
            frame.setVisible(true);
         }
      });
   }
}
