package cx.ath.jbzdak.wyklad2.x07progressbar;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by: Jacek Bzdak
 */
public class ProgressBar{

   public static void main(String[] args) throws Exception{
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            Object result = JOptionPane.showInputDialog(null, "Przez ile sekund pokazywać wiadomość", "Pytanie", JOptionPane.QUESTION_MESSAGE);
            int time = Integer.parseInt((String) result);

            final ProgressMonitor progressMonitor = new ProgressMonitor(null, "Obliczenia!", "", 0, 100);
            
            Timer timer = new Timer((int)((time/100.0)*1000), new ActionListener() {
               
               int progress = 0;
               
               public void actionPerformed(ActionEvent e) {
                  progressMonitor.setProgress(progress++);
                  if (progress == 100){
                     System.exit(0);
                  }
               }
               
            });

            timer.start();
         }
      });
   }
}
