package cx.ath.jbzdak.wyklad1.table;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

/**
 * Created by: Jacek Bzdak
 */
public class TableFrame4 extends TableFrame3{

   public TableFrame4() throws HeadlessException {

      JMenuBar jMenuBar = new JMenuBar();

      JMenuItem read = new JMenuItem("Odczytaj");

      read.addActionListener(new ActionListener() {
         
         private boolean added = false; 
         
         public void actionPerformed(ActionEvent e) {
            if (!added){
               studentsModel.addStudents(Database.getStudentsFromDatabase());
               added = true;
            }
         }
      });

      jMenuBar.add(read);
      
      JMenuItem save = new JMenuItem("Zapisz");
      
      save.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            try {
               Database.saveToDatabase(studentsModel.getList());
            } catch (IOException e1) {
               JOptionPane.showMessageDialog(TableFrame4.this, "NIe udało się zapisać listy studentów", "Błąd", JOptionPane.ERROR_MESSAGE);
            }
         }
      });


      jMenuBar.add(save);


      JMenuItem addNew = new JMenuItem("Dodaj nowego");
      
      addNew.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            studentsModel.addStudent(new Student());
         }
      });

      jMenuBar.add(addNew);
      

      setJMenuBar(jMenuBar);
   }


   public static void main(String[] args) throws Exception{
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            TableFrame4 tf = new TableFrame4();
            tf.setSize(640, 480);
            tf.setVisible(true);
         }
      });
   }
}
