package cx.ath.jbzdak.wyklad2.x01innerClass;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by: Jacek Bzdak
 */
public class AnonymousInnerClassListenerFrame extends ListenerShowcaseBase{

   public AnonymousInnerClassListenerFrame() throws HeadlessException {
      button1.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            getContentPane().setBackground(Color.GREEN);
         }
      });
      
      button2.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            AnonymousInnerClassListenerFrame.this.getContentPane().setBackground(Color.RED);
         }
      });
   }

   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            AnonymousInnerClassListenerFrame frame = new AnonymousInnerClassListenerFrame();
            frame.setVisible(true);
         }
      });
   }
}
