package cx.ath.jbzdak.wyklad2.x01innerClass;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by: Jacek Bzdak
 */
public class NonPublicListener extends ListenerShowcaseBase{

   public NonPublicListener() throws HeadlessException {
      button1.addActionListener(new NonPublicExternalListener(this, Color.GREEN));
      button2.addActionListener(new NonPublicExternalListener(this, Color.RED));
   }

   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            NonPublicListener frame = new NonPublicListener();
            frame.setVisible(true);
         }
      });
   }
}

 class NonPublicExternalListener  implements ActionListener {

   final ListenerShowcaseBase parent;

   final Color color;

   public NonPublicExternalListener(ListenerShowcaseBase parent, Color color) {
      this.parent = parent;
      this.color = color;
   }

   public void actionPerformed(ActionEvent e) {
      parent.getContentPane().setBackground(color);
   }
}
